- HTTP request
- Path parameters
- Request body
- Response body
- Authorization scopes
- IAM Permissions
- IACFormat
- Try it!
Generates Terraform files for an application template. This is a SYNCHRONOUS operation and returns the generated IaC directly in the response. It does NOT download external module sources; it only uses remote sources.
HTTP request
POST https://designcenter.googleapis.com/v1/{name=projects/*/locations/*/spaces/*/applicationTemplates/*}:generate
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
name |
Required. The name of the application template. |
Request body
The request body contains data with the following structure:
| JSON representation |
|---|
{ "iacFormat": enum ( |
| Fields | |
|---|---|
iacFormat |
Optional. The IaC format to generate. |
gcsUri |
Optional. The Cloud Storage URI to write the generated IaC to. DEPRECATED: Use the 'artifactLocation' field instead. |
artifactLocation |
Optional. Specifies the destination for the generated IaC, which can be Cloud Storage or a Developer Connect repository. |
Response body
If successful, the response body contains an instance of GenerateApplicationTemplateIaCResponse.
Authorization scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/cloud-platform
For more information, see the Authentication Overview.
IAM Permissions
Requires the following IAM permission on the name resource:
designcenter.applicationTemplates.get
For more information, see the IAM documentation.
IACFormat
The IaC format to generate.
| Enums | |
|---|---|
IAC_FORMAT_UNSPECIFIED |
IaC format is unspecified. |
TERRAFORM |
IaC format is Terraform. |
HELM |
IaC format is HELM. |